Bug 59421 - Kernel unable to access last sector of odd sized devices
Kernel unable to access last sector of odd sized devices
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://www.cftt.nist.gov/Notes_on_dd_...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 12:21 EST by bcling
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-07 12:21:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description bcling 2002-02-07 12:21:19 EST
Description of problem:
Apparently, there is a bug in the 2.4 kernel that prevents access of the last
sector of odd sized devices.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
(See the attached URL for specifics)
Comment 1 Arjan van de Ven 2002-02-11 11:03:11 EST
You can access the last sector, just not currently with "dd".
Partition tools already do this (some partition table formats require data to be
on the very last sector).

Note You need to log in before you can comment on or make changes to this bug.